> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all jobs

> Fetch all jobs in the current workspace.

<ResponseExample>
  ```json Response theme={"system"}
  {
    "list": [
      {
        "id": "2b467620-4470-11f1-a2d4-d9f6d57a55c9",
        "created_at": "2026-04-30T08:39:57.933Z",
        "updated_at": "2026-04-30T08:39:58.102Z",
        "silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
        "workflow_id": "46e84a39-72cc-40ba-9b32-ac0feefa4833",
        "status": "OK",
        "completed_at": "2026-04-30T08:39:58.102Z"
      },
      {
        "id": "13cc2d50-4470-11f1-abaa-a9921bf464d3",
        "created_at": "2026-04-30T08:39:18.549Z",
        "updated_at": "2026-04-30T08:39:22.938Z",
        "silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
        "workflow_id": "92191cd1-89f0-4a40-8c7a-62903b890995",
        "status": "ERR"
      }
    ],
    "limit": 10,
    "cursor": "eyJjYXQiOiIyMDI2LTA0LTMwVDEwOjQ5OjAxLjA4MVoifQ",
    "next_cursor": "eyJjYXQiOiIyMDI2LTA0LTI5VDExOjExOjIxLjMxMFoifQ"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /transform/v1/jobs
openapi: 3.0.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    The Invopop Transform Service API offers end points to be able to manage
    tasks and workflows with the primary objective being to send requests for
    jobs.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Transform Service API
  version: 1.0.1
servers:
  - description: production
    url: https://api.invopop.com
security:
  - authToken: []
paths:
  /transform/v1/jobs:
    get:
      description: Fetch all jobs in the current workspace.
      parameters:
        - description: >-
            The starting date and time for retrieving results in descending
            order, formatted as an ISO timestamp.
          in: query
          name: created_at
          schema:
            description: >-
              The starting date and time for retrieving results in descending
              order, formatted as an ISO timestamp.
            example: '2023-08-02T00:00:00.000Z'
            title: Created At
            type: string
        - description: >-
            The position marker from the previous result's next_cursor property,
            used for pagination.
          in: query
          name: cursor
          schema:
            description: >-
              The position marker from the previous result's next_cursor
              property, used for pagination.
            title: Cursor
            type: string
        - description: >-
            The maximum number of jobs to return in a single page of results.
            Defaults to 20, maximum 100.
          in: query
          name: limit
          schema:
            description: >-
              The maximum number of jobs to return in a single page of results.
              Defaults to 20, maximum 100.
            example: 20
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransformJobCollection'
          description: OK
components:
  schemas:
    TransformJobCollection:
      properties:
        list:
          description: Array of jobs sorted by creation time in descending order.
          items:
            $ref: '#/components/schemas/TransformJob'
          nullable: true
          title: List
          type: array
        created_at:
          description: Date from which results are provided in descending order.
          example: '2025-05-01T00:00:00.000Z'
          title: Created At
          type: string
        limit:
          description: Maximum number of jobs to show in a page of results, up to 100.
          example: 20
          title: Limit
          type: integer
        cursor:
          description: Cursor used to identify the current page of results.
          title: Cursor
          type: string
        next_cursor:
          description: Cursor used to identify the next page of results.
          title: Next Cursor
          type: string
      type: object
    TransformJob:
      properties:
        args:
          additionalProperties:
            type: string
          description: Any additional arguments that might be used by workflow actions.
          title: Args
          type: object
        attachments:
          description: >-
            Any files that have been generated while processing the job in the
            workflow will be here.
          items:
            $ref: '#/components/schemas/TransformFile'
          title: Attachments
          type: array
        completed_at:
          description: When this job was completed, will be nil if still ongoing.
          title: Completed At
          type: string
        created_at:
          description: When the job was created.
          title: Created At
          type: string
        envelope:
          description: Raw JSON data of the complete GOBL Envelope.
          title: GOBL Envelope
          type: object
        faults:
          description: >-
            Array of fault objects that represent errors that occurred during
            the processing of the job.
          items:
            $ref: '#/components/schemas/TransformFault'
          title: Faults
          type: array
        id:
          description: The UUID v7 or v1 of the job
          example: 5b45453c-cdd0-11ed-afa1-0242ac120002
          title: ID
          type: string
        intents:
          description: >-
            Array of intent objects following the execution of each of the steps
            of the associated workflow.
          items:
            $ref: '#/components/schemas/TransformIntent'
          title: Intents
          type: array
        key:
          description: Key assigned to the job, used to identify it in the system.
          title: Key
          type: string
        silo_entry_id:
          example: 75fa764a-cdd0-11ed-afa1-0242ac120002
          title: Silo Entry ID
          type: string
        status:
          description: Last known status text for this job.
          title: Status
          type: string
        tags:
          description: Any tags that may be useful to be associated with the job.
          items:
            type: string
          title: Tags
          type: array
        updated_at:
          description: When the job was last updated.
          title: Updated At
          type: string
        workflow_id:
          example: 186522a6-e697-4e34-8498-eee961bcb845
          title: Workflow ID
          type: string
      type: object
    TransformFile:
      properties:
        category:
          description: Category of the file
          example: version
          title: Category
          type: string
        desc:
          description: Description of the file
          example: My file description.
          title: Description
          type: string
        hash:
          description: SHA256 hash of the file
          example: ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad
          title: Hash
          type: string
        id:
          description: UUID for the file inside the entry
          example: b564ff94-7823-4f54-975e-280feb38df3f
          title: ID
          type: string
        key:
          description: Short identifier for the file.
          example: pdf
          title: Key
          type: string
        meta:
          additionalProperties:
            type: string
          description: Any additional data that might be relevant.
          title: Meta
          type: object
        mime:
          description: MIME type of the file
          example: application/pdf
          title: MIME
          type: string
        name:
          description: Name of the file
          example: my-file.pdf
          title: Name
          type: string
        size:
          description: Size of the file in bytes
          example: 12345
          title: Size
          type: integer
        url:
          description: Public URL where the file can be downloaded.
          title: URL
          type: string
      type: object
    TransformFault:
      properties:
        code:
          description: >-
            Code assigned by the provider that may provide additional
            information about the fault.
          title: Code
          type: string
        message:
          description: >-
            Message assigned by the provider that may provide additional
            information about the fault.
          title: Message
          type: string
        provider:
          description: ID of the provider that generated the fault.
          example: pdf
          title: Provider
          type: string
      type: object
    TransformIntent:
      properties:
        completed:
          description: When true, this intent has completed.
          title: Completed
          type: boolean
        created_at:
          description: When the intent was created.
          title: Created At
          type: string
        events:
          description: Array of event objects tracking the execution of the intent.
          items:
            $ref: '#/components/schemas/TransformEvent'
          title: Events
          type: array
        id:
          description: UUIDv4 for the Intent
          example: b564ff94-7823-4f54-975e-280feb38df3f
          title: ID
          type: string
        name:
          description: Name of the executed workflow step
          example: PDF Generation
          title: Name
          type: string
        provider:
          description: ID of the provider to use
          example: pdf
          title: Provider
          type: string
        step_id:
          description: ID of the step to use
          example: 8d49556b-ff63-477b-9cd3-32c986c1c77b
          title: Step ID
          type: string
        updated_at:
          description: When the intent was last updated.
          title: Updated At
          type: string
      type: object
    TransformEvent:
      properties:
        args:
          additionalProperties:
            type: string
          description: >-
            Map of additional arguments that will be included in embedded
            actions.
          title: Arguments
          type: object
        at:
          description: When the event was created.
          example: '2021-09-15T15:04:05.999Z'
          title: At
          type: string
        code:
          description: >-
            Code assigned by the provider that may provide additional
            information about the event.
          title: Code
          type: string
        index:
          description: Index of the event in the intent.
          example: 0
          title: Index
          type: integer
        message:
          description: >-
            Message assigned by the provider that may provide additional
            information about the event, especially errors.
          title: Message
          type: string
        silo_entry_id:
          description: ID of the entry in the silo that was created by this event.
          title: Silo Entry ID
          type: string
        status:
          description: Status of the event.
          example: ERR
          title: Status
          type: string
      type: object
  securitySchemes:
    authToken:
      bearerFormat: JWT
      description: >-
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.
        Example: `Authorization: Bearer <token>`
      scheme: bearer
      type: http

````